﻿ EXEC P_ALTERPK 'PK_T_FCA_DOWNRULE', 'T_FCA_DOWNRULE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_DOWNRULE_FNUMBER') CREATE  CLUSTERED INDEX IDX_FCA_DOWNRULE_FNUMBER ON T_FCA_DOWNRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_FCA_DOWNRULE_L', 'T_FCA_DOWNRULE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_DOWNRULE_L_FID') CREATE  CLUSTERED INDEX IDX_FCA_DOWNRULE_L_FID ON T_FCA_DOWNRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_FCA_DOWNRULE_ENTRY', 'T_FCA_DOWNRULE_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_DOWNRULE_ENTRY_FK') CREATE  CLUSTERED INDEX IDX_FCA_DOWNRULE_ENTRY_FK ON T_FCA_DOWNRULE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_DOWNRULE_UORG', 'T_FCA_DOWNRULE_UORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_DOWNRULE_UORG_FK') CREATE INDEX IDX_FCA_DOWNRULE_UORG_FK ON T_FCA_DOWNRULE_UORG ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_PULLRULE', 'T_FCA_PULLRULE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FCA_PULLRULE_FNUMBER') CREATE  CLUSTERED INDEX IDX_T_FCA_PULLRULE_FNUMBER ON T_FCA_PULLRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_FCA_PULLRULE_L', 'T_FCA_PULLRULE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_PULLRULE_L_FID') CREATE  CLUSTERED INDEX IDX_FCA_PULLRULE_L_FID ON T_FCA_PULLRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_FCA_APPTRANSDOWN_SOURCE', 'T_FCA_APPTRANSDOWN_SOURCE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSDOWN_SOURCE_FK') CREATE INDEX IDX_FCA_APPTRANSDOWN_SOURCE_FK ON T_FCA_APPTRANSDOWN_SOURCE ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FSBILLID') CREATE UNIQUE  CLUSTERED INDEX IDX_FSBILLID ON T_FCA_APPTRANSDOWN_SOURCE ( FSBILLID ,FSOURCEENTITYID ,FPUSHDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPUSHDATE') CREATE INDEX IDX_FPUSHDATE ON T_FCA_APPTRANSDOWN_SOURCE ( FPUSHDATE ,FSOURCEENTITYID );
