﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FCA_APPTRANSDOWN_ENTRY' AND KSQL_COL_NAME IN ('FFUNDFLOWITEMID')) 
 ALTER TABLE T_FCA_APPTRANSDOWN_ENTRY ADD (FFUNDFLOWITEMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FCA_APPTRANSDOWN' AND KSQL_COL_NAME IN ('FSOURCEBILLTYPE')) 
 ALTER TABLE T_FCA_APPTRANSDOWN ADD (FSOURCEBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FCA_TRANSTRATEGY' AND KSQL_COL_NAME IN ('FTRANSUPINT'))
ALTER TABLE T_FCA_TRANSTRATEGY ADD (FTRANSUPINT NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FCA_TRANSTRATEGY' AND KSQL_COL_NAME IN ('FTRANSDOWNINT'))
ALTER TABLE T_FCA_TRANSTRATEGY ADD (FTRANSDOWNINT NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FCA_TRANSDOWNBILL_ENTRY' AND KSQL_COL_NAME IN ('FRTRANSAMT'))
ALTER TABLE T_FCA_TRANSDOWNBILL_ENTRY ADD (FRTRANSAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_DOWNRULE') 
 CREATE TABLE T_FCA_DOWNRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_DOWNRULE_L') 
 CREATE TABLE T_FCA_DOWNRULE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_DOWNRULE_ENTRY') 
 CREATE TABLE T_FCA_DOWNRULE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULESNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDATAFILTERDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCTGROUPID BIGINT DEFAULT 0 NOT NULL,
FDATAFILTER  NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATAFILTER_TAG NCLOB
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_DOWNRULE_UORG') 
 CREATE TABLE T_FCA_DOWNRULE_UORG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUORGID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_PULLRULE') 
 CREATE TABLE T_FCA_PULLRULE (
FDATAFILTERDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEENTITYID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FTARGETENTITYID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FRULEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATAFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATAFILTER_TAG NCLOB
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_PULLRULE_L') 
 CREATE TABLE T_FCA_PULLRULE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_APPTRANSDOWN_SOURCE') 
 CREATE TABLE T_FCA_APPTRANSDOWN_SOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCEENTITYID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FPUSHDATE DATETIME
);

